### R code from vignette source 'ei.Rnw'

###################################################
### code chunk number 1: beforepkgs
###################################################
 before<-search()
 ind <- grep("[a-z A-Z]+:ei",before)
 if(!length(ind) > 0) library(ei)


###################################################
### code chunk number 2: ei.Rnw:138-143 (eval = FALSE)
###################################################
## formula = t ~ x
## dbuf <- ei(formula=formula, total="n",data=data)
## summary(dbuf)
## eiread(dbuf, "betab","betaw")
## plot(dbuf, "tomog","betab","betaw","xtfit")


###################################################
### code chunk number 3: ei.Rnw:218-220
###################################################
library(ei)
data(matproii)


###################################################
### code chunk number 4: ei.Rnw:245-247 (eval = FALSE)
###################################################
## formula = t ~ x
## dbuf = ei(formula=formula,total="n",data=matproii)


###################################################
### code chunk number 5: ei.Rnw:254-255 (eval = FALSE)
###################################################
## summary(dbuf)


###################################################
### code chunk number 6: ei.Rnw:296-297 (eval = FALSE)
###################################################
## bb.out <- eiread(dbuf, "betab", "sbetab")


###################################################
### code chunk number 7: ei.Rnw:308-309 (eval = FALSE)
###################################################
## plot(dbuf, "tomog")


###################################################
### code chunk number 8: ei.Rnw:314-317 (eval = FALSE)
###################################################
## png("tomogplot.png", width=6, height=6, pointsize=10)
## plot(dbuf, "tomog")
## invisible(dev.off())


###################################################
### code chunk number 9: ei.Rnw:328-331 (eval = FALSE)
###################################################
## png("tomogplot2.png", width=14, height=6, pointsize=10)
## plot(dbuf, "tomogE", "tomogCI")
## invisible(dev.off())


###################################################
### code chunk number 10: ei.Rnw:344-345 (eval = FALSE)
###################################################
## plot(dbuf, "tomogE","tomogCI")


###################################################
### code chunk number 11: ei.Rnw:352-353 (eval = FALSE)
###################################################
## plot(dbuf, "betab","betaw")


###################################################
### code chunk number 12: ei.Rnw:360-361 (eval = FALSE)
###################################################
## plot(dbuf, "xtfit")


###################################################
### code chunk number 13: ei.Rnw:369-372 (eval = FALSE)
###################################################
## png("betas.png", width=14, height=6, pointsize=10)
## plot(dbuf, "betab", "betaw")
## invisible(dev.off())


###################################################
### code chunk number 14: ei.Rnw:384-387 (eval = FALSE)
###################################################
## png("xtfit.png", width=6, height=6, pointsize=10)
## plot(dbuf, "xtfit")
## invisible(dev.off())


###################################################
### code chunk number 15: ei.Rnw:398-401 (eval = FALSE)
###################################################
## truth = cbind(matproii$tb,matproii$tw)
## formula = t ~ x
## dbuf = ei(formula=formula,total="n",data=matproii,truth=truth)


###################################################
### code chunk number 16: ei.Rnw:406-407 (eval = FALSE)
###################################################
## plot(dbuf, "truth")


###################################################
### code chunk number 17: ei.Rnw:416-419 (eval = FALSE)
###################################################
## png("truth2.png", width=6, height=6, pointsize=10)
## plot(dbuf, "truth")
## invisible(dev.off())


###################################################
### code chunk number 18: ei.Rnw:440-441 (eval = FALSE)
###################################################
## data(RxCdata)


###################################################
### code chunk number 19: ei.Rnw:446-447 (eval = FALSE)
###################################################
## formula <- cbind(turnout, noturnout) ~ cbind(white, black, hisp)


###################################################
### code chunk number 20: ei.Rnw:451-452 (eval = FALSE)
###################################################
## dbuf = ei(formula, data=RxCdata)


###################################################
### code chunk number 21: ei.Rnw:457-459 (eval = FALSE)
###################################################
## out <- dbuf$draws$Beta[,"beta.white.turnout.3"]
## summary(out)


###################################################
### code chunk number 22: ei.Rnw:482-483 (eval = FALSE)
###################################################
## plot(out)


###################################################
### code chunk number 23: ei.Rnw:521-523 (eval = FALSE)
###################################################
## formula <- cbind(turnout, noturnout) ~ cbind(white, black, hisp)
## tomogRxC(formula, RxCdata)


###################################################
### code chunk number 24: ei.Rnw:557-559 (eval = FALSE)
###################################################
## formula <- cbind(turnout, noturnout) ~ cbind(white, hisp, black)
## tomogRxC(formula, RxCdata)


###################################################
### code chunk number 25: ei.Rnw:575-577 (eval = FALSE)
###################################################
## formula <- cbind(turnout, noturnout) ~ cbind(hisp, black, white)
## tomogRxC(formula, RxCdata)


